Bug 157705 - need additional hyperlink type
need additional hyperlink type
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Navigation
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Vladimir Voskresensky
issues@editor
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-31 17:20 UTC by Vladimir Voskresensky
Modified: 2009-02-19 20:45 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
patch for Ctrl+Alt as combination for alternative hyperlink action (4.80 KB, patch)
2009-01-31 20:43 UTC, Vladimir Voskresensky
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2009-01-31 17:20:37 UTC
current Ctrl+mouse operation go to declaration
we (C++) need operation for "alternative" go to declaration, i.e. Alt+mouse 

Usecase:
- Now, when macro is hovered in code (Ctrl+mouse) => it's "#define " text is displayed and hyperlink goes into #define 
- for alternative hyperlink type (Alt+mouse) => macro expansion is shown in tooltip and hyperlink jumps into "Macro
Expansion View"

Could be used for Java as well: 
- tooltip for class could show "extends/implements" info
- hyperlink jumps into "Declaration View"
Comment 1 Vladimir Voskresensky 2009-01-31 20:30:14 UTC
Please, evaluate. We need it for 7.0. 
I can contribute, if needed.
Thanks,
Vladimir.
Comment 2 Vladimir Voskresensky 2009-01-31 20:43:09 UTC
Created attachment 76418 [details]
patch for Ctrl+Alt as combination for alternative hyperlink action
Comment 3 Vladimir Voskresensky 2009-02-09 14:19:02 UTC
I'd like to ask to review small enhancement. It's binary and source compatible change.
Still the question
VV1: what is best name for new enum constant. 
I've created patch with GO_TO_ALT_DECLARATION, but now think about ALT_HYPERLINK as name for alternative hyperlink name,
because don't want to tie it with "declaration"
Comment 4 Vitezslav Stejskal 2009-02-10 08:54:24 UTC
The patch looks ok. I'm not sure about the name either, but GO_TO_ALT_DECLARATION sounds really weird. In no better name
comes up ALT_HYPERLINK could work. Thanks
Comment 5 Vladimir Voskresensky 2009-02-15 10:17:30 UTC
if no objections, I will integrate tomorrow with ALT_HYPERLINK
Comment 6 Vladimir Voskresensky 2009-02-16 16:48:24 UTC
pushed:
http://hg.netbeans.org/main/rev/dca9603801ab
for Mac shortcut is Meta+Alt, for others Ctrl+Alt
Comment 7 Quality Engineering 2009-02-18 10:41:13 UTC
Integrated into 'main-golden', will be available in build *200902180201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/dca9603801ab
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixed IZ#157705: need additional hyperlink type


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo